API ReferenceChangelog
Log In
API Reference

Create a new S3 output location

Creates a new S3 output location for the selected team. This location can be used with the POST /v1/videos/{videoId}/out/s3/{outputLocationId} endpoint to copy video data to the specified S3 bucket.

Query Params
uuid

Specifies the team ID for the operation.

  • For POST requests, assigns the new object to the specified team.
  • For GET requests, retrieves data for the specified team.
    If not provided, defaults to the ID of the default team associated with the API key.
Body Params

Fields required for creating a new S3 output location.

Represents the fields that can be updated for an S3 output location, including the bucket, access keys, and name.

string
required
length between 3 and 63

The name of the S3 bucket. Bucket names must comply with the rules for DNS-compliant names, with a length between 3 and 63 characters.

string
required

The access key for authenticating with the S3 bucket. This key is part of the AWS credentials required to perform operations on the bucket.

string
required

The secret access key for authenticating with the S3 bucket. This key is part of the AWS credentials and should be kept secure.

string
required
length between 1 and 47

A user-defined name to associate with the output location. Useful for organizing and identifying various output locations.

Responses

Language
Credentials
Header
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json